Page MenuHomePhabricator

Rename be.wikibooks namespace from "Wikibooks:XXX" to "Вікікнігі:XXX"
Closed, ResolvedPublic

Description

Hello!

I ask to replace the namespace "Wikibooks:XXX" with "Вікікнігі:XXX"

The community voted to replace the English-language name with the Belarusian-language:

https://be.wikibooks.org/wiki/Wikibooks:Community_Portal#%D0%97%D0%B0%D0%B3%D0%B0%D0%BB%D0%BE%D1%9E%D0%BA%D1%96_%D1%81%D1%82%D0%B0%D1%80%D0%BE%D0%BD%D0%B0%D0%BA

Thanks.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterDefine $wgMetaNamespace for be.wikibooks

Event Timeline

VitKoz created this task.Dec 28 2018, 11:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 28 2018, 11:13 AM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptDec 28 2018, 11:20 AM
Zoranzoki21 added a subscriber: Zoranzoki21.

Btw, we need name of Project_talk namespace..

Yes, and Project_talk namespace, please!

The two pages I see that will use the translated prefix shouldn't be a problem as they're redirects. We can have them deleted before.

MariaDB [bewikibooks_p]> select page_id, page_title, page_namespace FROM page WHERE page_title LIKE 'Вікікнігі:%' and page_namespace = 0;                                                                         +---------+---------------------------------------------------------+----------------+
| page_id | page_title                                              | page_namespace |
+---------+---------------------------------------------------------+----------------+
|    2832 | Вікікнігі:Індэкс                                        |              0 |
|    2600 | Вікікнігі:Што_такое_ВікіКнігі                           |              0 |
+---------+---------------------------------------------------------+----------------+
2 rows in set (0.00 sec)

About NS_PROJECT_TALK I don't think we need it as MessagesBe.php on mediawiki core takes care of it AIUI.

MarcoAurelio triaged this task as Low priority.Dec 28 2018, 11:42 AM

Change 481520 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Define $wgMetaNamespace for be.wikibooks

https://gerrit.wikimedia.org/r/481520

Change 481520 merged by jenkins-bot:
[operations/mediawiki-config@master] Define $wgMetaNamespace for be.wikibooks

https://gerrit.wikimedia.org/r/481520

Mentioned in SAL (#wikimedia-operations) [2019-01-07T19:46:44Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Set $wgMetaNamespace for bewikibooks (T212665) (duration: 00m 45s)

Catrope closed this task as Resolved.Jan 7 2019, 7:47 PM
MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.

@VitKoz Done. The Wikibooks namespace is now translated. Please let us know if you run into any issues. Best regards.